-- Table 1 --

CREATE TABLE IF NOT EXISTS Company
( 
Company_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Company_Name VARCHAR(255) NOT NULL,
Address VARCHAR(255) NOT NULL,
City VARCHAR(40) NOT NULL,
County VARCHAR(20) NOT NULL,
Post_Code CHAR(10) NOT NULL,
Country VARCHAR(20) NOT NULL,
Telephone CHAR(20) NOT NULL,
Email VARCHAR(255) NOT NULL,
Payment_Method VARCHAR(255) NOT NULL,
Type_Item VARCHAR(25) NOT NULL,
URL VARCHAR(1023) NOT NULL,
PRIMARY KEY(Company_ID) 
)engine=InnoDB;
-----------------------------------------------------
-- Table 2 --

CREATE TABLE IF NOT EXISTS Employee
( 
Employee_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Title varchar(11) NOT NULL,
First_Name VARCHAR(255) NOT NULL,
Last_Name VARCHAR(255) NOT NULL,
Date_Of_Birth date NOT NULL,
Gender varchar(24) NOT NULL,
Role VARCHAR(40) NOT NULL,
Salary varchar(255) NOT NULL,
Address VARCHAR(255) NOT NULL,
City VARCHAR(40) NOT NULL,
County VARCHAR(20) NOT Null,
Post_Code CHAR(10) NOT NULL,
Country VARCHAR(20) NOT NULL,
Tel_No CHAR (20) NOT NULL,
Mobile_No CHAR (20)NOT NULL,
Email VARCHAR(255) NOT NULL,
Password varchar(64) NOT NULL,
Company_ID INT UNSIGNED,
FOREIGN KEY (Company_ID) REFERENCES Company(Company_ID),
PRIMARY KEY(Employee_ID) 
) engine=InnoDB;
--------------------------------------------------------------------
-- Table 3 --

CREATE TABLE IF NOT EXISTS Categories
( 
Category_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Category_Name VARCHAR(255) NOT NULL,
PRIMARY KEY(Category_ID)
);

-----------------------------------------------------------------
--4--

CREATE TABLE IF NOT EXISTS Items
( 
Item_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Item_Name VARCHAR(255) NOT NULL,
Item_Description VARCHAR(255) NOT NULL,
Item_Price VARCHAR(20) NOT NULL,
Company_ID INT UNSIGNED,
Category_ID INT UNSIGNED,
PRIMARY KEY(Item_ID),
FOREIGN KEY (Company_ID) REFERENCES Company(Company_ID),
FOREIGN KEY (Category_ID) REFERENCES Categories(Category_ID)
)engine=InnoDB;

------------------------------------------------------------
-- Table 5 --

CREATE TABLE IF NOT EXISTS Customer
( 
Customer_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Title varchar(11) NOT NULL,
First_Name VARCHAR(255) NOT NULL,
Last_Name VARCHAR(255) NOT NULL,
Date_Of_Birth date NOT NULL,
Gender varchar(24) NOT NULL,
Email VARCHAR (255),
Password VARCHAR (64)NOT NULL,
Address VARCHAR(255) NOT NULL,
City VARCHAR(40) NOT NULL,
County VARCHAR(20) NOT NULL,
Post_Code CHAR(10) NOT NULL,
Country VARCHAR(20)NOT NULL,
Contact_Number CHAR(20) NOT NULL,
PRIMARY KEY(Customer_ID) 
) engine=InnoDB;

-----------------------------------------------------------------------------
--Table 6 --

CREATE TABLE IF NOT EXISTS Customer_Order
(
Order_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Order_Name VARCHAR(255) NOT NULL,
Order_Nomber VARCHAR(255) NOT NULL,
Price_List VARCHAR(255) NOT NULL,
Order_Ship_Date Timestamp,
Order_Date Timestamp,
Customer_ID INT UNSIGNED,
PRIMARY KEY (Order_ID),
FOREIGN KEY (Customer_ID) REFERENCES Customer (Customer_ID)
) engine=InnoDB;
--------------------------------------------------------------------------------
-- Table 7 --

CREATE TABLE IF NOT EXISTS Customer_Order_Details
(
OrderDetails_ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Quantity VARCHAR(255) NOT NULL,
Item_ID INT UNSIGNED,
Order_ID INT UNSIGNED,
PRIMARY KEY (OrderDetails_ID),
FOREIGN KEY (Item_ID) REFERENCES Items (Item_ID),
FOREIGN KEY (Order_ID) REFERENCES Customer_Order (Order_ID)
) engine=InnoDB;
-----------------------------------------------------------------------------
-- Table 8 --

CREATE TABLE Admin
(
ID INT UNSIGNED NOT NULL AUTO_INCREMENT UNIQUE,
Title VARCHAR (10) NOT NULL,
First_Name VARCHAR(64) NOT NULL,
Last_Name VARCHAR(64) NOT NULL,
Password VARCHAR(64) NOT NULL,
Date timestamp NOT NULL,
Email varchar(64) NOT NULL,
PRIMARY KEY (ID),
UNIQUE KEY Email (Email)
)ENGINE=InnoDB;
--------------------------------------------------------
-- Table 9 --
CREATE TABLE transactions (
ID int(11) NOT NULL auto_increment,
product_id_array varchar(255) NOT NULL,
trans_date timestamp NOT NULL,
Customer_ID INT UNSIGNED,
mc_gross varchar(255) NOT NULL,
trans_currency varchar(255) NOT NULL,
txn_id varchar(255) NOT NULL,
Company_email varchar(255) NOT NULL,
payment_type varchar(255) NOT NULL,
payment_status varchar(255) NOT NULL,
txn_type varchar(255) NOT NULL,
notify_version varchar(255) NOT NULL,
verify_sign varchar(255) NOT NULL,
mc_currency varchar(255) NOT NULL,
mc_fee varchar(255) NOT NULL,
PRIMARY KEY (ID),
Foreign Key (Customer_ID) REFERENCES Customer (Customer_ID)
)ENGINE=InnoDB;
---------------------------------------------------------

Drop Table Customer;
Drop Table Order;
ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13;

Alter Table Order
Add Foreign Key (Customer_ID) References Customer (Customer_ID);

ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13;
FOREIGN KEY (Customer_ID) REFERENCES Customer(Customer_ID)
-------
ALTER TABLE Items ADD FOREIGN KEY (CompanyID) REFERENCES Companys (CompanyID);
----------
ALTER TABLE Order_Details ADD CONSTRAINT Order_Details_product FOREIGN KEY Order_Details_product (product_id)
    REFERENCES product_ID (product_ID);
----------
ALTER TABLE Order ADD CONSTRAINT Order_Customer FOREIGN KEY Order_Customer (Customer_ID)
    REFERENCES Customer (Customer_ID);
---------
ALTER TABLE Order ADD CONSTRAINT Order_Employee FOREIGN KEY Order_Employee ()
    REFERENCES Employee ();
---------
ALTER TABLE product_ID ADD CONSTRAINT product_Company FOREIGN KEY product_Company ()
    REFERENCES Company (Company_ID);
---------

ALTER TABLE `order`
  ADD CONSTRAINT `order_idfk_1` FOREIGN KEY (`Customer_ID`) REFERENCES `customer` (`Customer_ID`);
---------
Delete customer_ID
Alter Table Company Drop Column Customer_ID;
-------------------------------------------------------